Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.handlers
Class CrawlerHandler

    java.lang.Object
      oracle.ifs.core.handlers.AuditEventHandlerAdapter
          oracle.ifs.core.handlers.CrawlerHandler

All Implemented Interfaces:
  AuditEventHandler

    public class CrawlerHandler

extends AuditEventHandlerAdapter

CrawlerHandler implements the AuditEventHandler interface, and handles the forwarding of specific change-event information to a crawler instance- specific alert table.

Field Summary
`static java.lang.String` | `PROPERTY_NAME_ALERT_TABLE_SUFFIX` Audit spec property used to capture the alert table suffix.
`static java.lang.String` | `PROPERTY_NAME_AUDIT_EVENT_BATCH_SIZE` Audit spec property used to capture audit event (selection) batch size.
`static java.lang.String` | `PROPERTY_NAME_GRANTEE` Audit spec property used to capture schema (grantee) that should be granted access to crawler views and alert table.
`static java.lang.String` | `PROPERTY_NAME_JDBC_BATCH_SIZE` Audit spec property used to capture JDBC batch size (alert table inserts)
`static java.lang.String` | `PROPERTY_NAME_PERFORM_CONFIGURATION` Audit spec property used to track whether this particular crawler handler instance requires configuration.

Constructor Summary
`CrawlerHandler()`

Method Summary
`void` | `handleEventPosted(AuditEventHandlerContext context)` Called when at least one registered event is posted.
`void` | `handleInitialize(AuditEventHandlerContext context)` Initializes this handler.
`void` | `handleTimerExpired(AuditEventHandlerContext context)` Called when the timer for this AuditEventHandler expires.

Methods inherited from class oracle.ifs.core.handlers.AuditEventHandlerAdapter
`deleteEvents, handleDispose, selectEvents, selectMaximumEventId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME_PERFORM_CONFIGURATION

    public static final java.lang.String PROPERTY_NAME_PERFORM_CONFIGURATION

  Description copied from class: `CrawlerHandler`
  Audit spec property used to track whether this particular crawler handler instance requires configuration. A value of false indicates that this instance's associated grantee schema has been granted accress to the crawler views, and that the crawler instance specific alert table has been created. A value of true indicates that the ECM instance needs to be configured to support this particular crawler handler instance.

  See Also:
    Constant Field Values

### PROPERTY_NAME_GRANTEE

    public static final java.lang.String PROPERTY_NAME_GRANTEE

  Description copied from class: `CrawlerHandler`
  Audit spec property used to capture schema (grantee) that should be granted access to crawler views and alert table.

  See Also:
    Constant Field Values

### PROPERTY_NAME_AUDIT_EVENT_BATCH_SIZE

    public static final java.lang.String PROPERTY_NAME_AUDIT_EVENT_BATCH_SIZE

  Description copied from class: `CrawlerHandler`
  Audit spec property used to capture audit event (selection) batch size.

  See Also:
    Constant Field Values

### PROPERTY_NAME_JDBC_BATCH_SIZE

    public static final java.lang.String PROPERTY_NAME_JDBC_BATCH_SIZE

  Description copied from class: `CrawlerHandler`
  Audit spec property used to capture JDBC batch size (alert table inserts)

  See Also:
    Constant Field Values

### PROPERTY_NAME_ALERT_TABLE_SUFFIX

    public static final java.lang.String PROPERTY_NAME_ALERT_TABLE_SUFFIX

  Description copied from class: `CrawlerHandler`
  Audit spec property used to capture the alert table suffix. The value of this property when combined with ALERT_TABLE_PREFIX must constitute a unique table name with the ECM schema to host this particular crawler instance's alert details. Restrictions: max length of database object name is 30 characters. Table prefix must be taken in to account when determining length. Database naming restrictions also apply.

  See Also:
    Constant Field Values

Constructor Detail

### CrawlerHandler

    public CrawlerHandler()

Method Detail

### handleInitialize

    public void handleInitialize(AuditEventHandlerContext context)
                          throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Initializes this handler.

  Called immediately after construction.

  Specified by:
    `handleInitialize` in interface `AuditEventHandler`
  Overrides:
    `handleInitialize` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleEventPosted

    public void handleEventPosted(AuditEventHandlerContext context)
                           throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Called when at least one registered event is posted.

  Specified by:
    `handleEventPosted` in interface `AuditEventHandler`
  Overrides:
    `handleEventPosted` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    public void handleTimerExpired(AuditEventHandlerContext context)
                            throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Called when the timer for this AuditEventHandler expires.

  Specified by:
    `handleTimerExpired` in interface `AuditEventHandler`
  Overrides:
    `handleTimerExpired` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD